# $Revision: 1.5 $, $Date: 2009/02/20 12:15:46 $

%define		qtver	4.4.3
%define		kde4ver	4.2.0
%define		snap	svn906753
%define		origname	kdebluetooth4

Summary:	KDE Bluetooth framework
Summary(pl.UTF-8):	Podstawowe środowisko KDE Bluetooth
Name:		kde4-kdebluetooth
Version:	0.3
Release:	3
License:	GPL
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/kde-bluetooth/%{origname}-%{version}.tar.bz2
# Source0-md5:	e37438e8e597abe9c684acaf3aa1bb39
#Source0:	%{name}-%{version}-%{snap}.tar.bz2
URL:		http://bluetooth.kmobiletools.org/
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtDBus-devel >= %{qtver}
BuildRequires:	QtGui-devel >= %{qtver}
BuildRequires:	automoc4
BuildRequires:	cmake >= 2.6.2
BuildRequires:	kde4-kdebase-workspace-devel >= %{kde4ver}-5
BuildRequires:	kde4-kdelibs-devel >= %{kde4ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The KDE Bluetooth Framework is a set of tools built on top of Linux'
Bluetooth stack BlueZ. Its goal is to provide easy access to the most
common Bluetooth profiles and to make data exchange with Bluetooth
enabled phones and PDAs as straightforward as possible

%description -l pl.UTF-8
Projekt KDE Bluetooth jest zestawem narzędzi zbudowanych na górnej
warstwie stosu Bluetooth BlueZ. Jego celem jest dostarczenie łatwego
dostępu do większości profili Bluetooth oraz wymiany danych z
telefonami komórkowymi z Bluetooth oraz PDA tak bezpośrednio jak to
jest możliwe.

%prep
%setup -q -n %{origname}-%{version}

%build
install -d build
cd build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DSYSCONF_INSTALL_DIR=%{_sysconfdir} \
	-DCMAKE_BUILD_TYPE=%{!?debug:release}%{?debug:debug} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog TODO
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/kde4/kdebluetooth4.desktop
%{_iconsdir}/hicolor/*/apps/kbluetooth4.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde4-kdebluetooth.spec,v $
Revision 1.5  2009/02/20 12:15:46  shadzik
- release 3

Revision 1.4  2009/02/20 11:53:23  shadzik
- conditional release/debug build (thx glen)

Revision 1.3  2009/02/20 10:49:10  shadzik
- don't be that noisy on terminal output; rel up

Revision 1.2  2009/02/04 13:26:36  shadzik
- update workspace BR (works only with that and later ones)
- rel 1

Revision 1.1  2009/02/03 13:18:06  shadzik
- from kdebluetooth4.spec

Revision 1.6  2009/02/03 13:14:05  shadzik
- 0.3 stable (raw not tested)

Revision 1.5  2009/01/06 20:18:42  shadzik
- fake up to version 0.3
- svn snapshot 906753 - makes it work on kde 4.2betas
- builds

Revision 1.4  2009/01/06 01:21:11  shadzik
- some BRs
- other changes

Revision 1.3  2009/01/06 01:13:37  shadzik
- autoup to 0.2

Revision 1.2  2009/01/06 01:08:00  shadzik
- qt4 BRs

Revision 1.1  2008/08/01 19:37:46  wolf
- based on kdebluetooth.spec

